//抽奖相关的接口
import request from "./../request.js";//这里用的是two

 // 大转盘
 export function addTurntableActivity(data) {
   return request.post("Turntable/addTurntableActivity", data, { noAuth: true});
 }
 //已发布
 export function getTurntableActivityList(data) {
   return request.post("Turntable/getTurntableActivityList", data, { noAuth: true});
 }
 
 //中奖区
 export function getShopLuckDrawList(data) {
   return request.post("Turntable/getShopLuckDrawList", data, { noAuth: true});
 }
 
 //抽奖劵
 // export function getBuyRecord(data) {
 //   return request.post("Turntable/getBuyRecord", data, { noAuth: true});
 // }
 //状态
 export function setTurntableActivityStatus(data) {
   return request.post("Turntable/setTurntableActivityStatus", data, { noAuth: true});
 }
 
 
// 订单号
 export function showsend(data) {
   return request.post("Turntable/send", data, { noAuth: true});
 }
 
 // 秒杀状态列表
 
export function getActivityList(data){
	return request.post("store/getActivityList", data, { noAuth: true});
}

//判断商家类型  商品入库 
export function getskipShop(data){
	return request.post("user/skipShop", data, { noAuth: true});
}

//获取分类 列表
export function getshopclass(data){
	return request.post("ele/weigh", data, { noAuth: true});
}


/**
 * @param {Object} data
 */
//获取分类 列表
export function activity_nucleus(data){
	return request.post("ele/activity_nucleus", data, { noAuth: true});
}

/**
 * 添加免费领东西活动
 * @param {Object} data
 */
export function activity_add(data){
	return request.post("ele/activity_add", data, { noAuth: true});
}

/**
 * 获取活动列表
 * @param {Object} data
 */
export function activity_select(data){
	return request.post("ele/activity_select", data, { noAuth: true});
}

/**
 * 关闭活动
 * @param {Object} data
 */
export function activity_close(data){
	return request.post("ele/activity_close", data, { noAuth: true});
}

/**
 * 活动详情
 * @param {} data
 */
export function activity_find(data){
	return request.post("ele/activity_find", data, { noAuth: true});
}


/**
 * 
 * @param {} data
 */
export function activity_user(data){
	return request.post("ele/activity_user", data, { noAuth: true});
}


/**
 * 修改活动
 * @param {} data
 */
export function activity_update(data){
	return request.post("ele/activity_update", data, { noAuth: true});
}


/**
 * 修改活动
 * @param {} data
 */
export function ele_carry(data){
	return request.post("ele/ele_carry", data, { noAuth: true});
}